## loop-aes-utils 2.12p

=== misc-utils/Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Revised: Mon Nov 11 10:12:16 1996 by faith@cs.unc.edu
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)
# May be distirbuted under the GPL
#
include ../make_include
include ../MCONFIG

# scriptreplay not added yet

# Where to put man pages?

MAN1= 		cal.1 chkdupexe.1 ddate.1 logger.1 look.1 mcookie.1 \
		namei.1 rename.1 script.1 whereis.1

# Where to put binaries?
# See the "install" rule for the links. . .

BIN=

USRBIN=		cal chkdupexe ddate logger look mcookie \
		namei rename script whereis

MAYBE=		reset setterm

ifeq "$(HAVE_RESET)" "no"
USRBIN:=$(USRBIN) reset
MAN1:=$(MAN1) reset.1
endif

ifeq "$(HAVE_WRITE)" "no"
USRBIN:=$(USRBIN) write
MAN1:=$(MAN1) write.1
endif

ifeq "$(HAVE_KILL)" "no"
BIN:=$(BIN) kill
MAN1:=$(MAN1) kill.1
endif

ifeq "$(HAVE_NCURSES)" "yes"
USRBIN:=$(USRBIN) setterm
MAN1:=$(MAN1) setterm.1
endif

# For script only
LIBPTY=
ifeq "$(HAVE_OPENPTY)" "yes"
LIBPTY:=$(LIBPTY) -lutil
endif

# Programs requiring special compilation
NEEDS_CURSES=  setterm
NEEDS_OPENPTY= script

all: $(BIN) $(USRBIN) $(USRBIN.NONSHADOW)

$(NEEDS_CURSES):
ifeq "$(HAVE_NCURSES)" "yes"
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBCURSES)
else
	@echo $@ not made since it requires ncurses
endif

ifeq "$(HAVE_NCURSES)" "yes"
cal:
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBCURSES)
else
ifeq "$(HAVE_TERMCAP)" "yes"
cal:
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBTERMCAP)
endif
endif

$(NEEDS_OPENPTY):
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBPTY)

%: %.sh
	cp $@.sh $@
	chmod 755 $@

%: %.pl
	cp $@.pl $@
	chmod 755 $@

# Rules for everything else

cal.o: $(LIB)/errs.h
cal: cal.o $(ERR_O)
chkdupexe: chkdupexe.pl
ddate: ddate.o
kill: kill.o procs.o
logger: logger.o
mcookie: mcookie.o $(LIB)/md5.o
mcookie.o: mcookie.c $(LIB)/md5.h
reset: reset.sh
script: script.o
write.o: $(LIB)/carefulputc.h
write: write.o $(LIB)/carefulputc.o

ifeq "$(HAVE_NCURSES)" "yes"
setterm: setterm.o
endif

install: all
	$(INSTALLDIR) $(BINDIR) $(USRBINDIR)
ifneq "$(BIN)" ""
	$(INSTALLBIN) $(BIN) $(BINDIR)
endif
	$(INSTALLBIN) $(USRBIN) $(USRBINDIR)
	$(INSTALLDIR) $(MAN1DIR)
	$(INSTALLMAN) $(MAN1) $(MAN1DIR)
ifeq "$(HAVE_WRITE)" "no"
ifeq "$(USE_TTY_GROUP)" "yes"
	chgrp tty $(USRBINDIR)/write
	chmod g+s $(USRBINDIR)/write
endif
endif

.PHONY:	clean
clean:
	-rm -f *.o *~ core $(BIN) $(USRBIN) $(MAYBE)

## loop-aes-utils 2.16.2

=== debian/changelog ===
loop-aes-utils (2.16.2-3) unstable; urgency=low

  * QA upload.
  * Fix "mount/umount option '--no-canonicalize' support from util-linux
    for fuse": apply patch from Ubuntu / Colin Watson:
    - Backport mount/umount --no-canonicalize option from util-linux
      (LP: #727220).
    - Backport umount --fake option from util-linux.
    (Closes: #636614)
  * Fix "Please enabled hardened build flags": apply patch from Moritz
    Muehlenhoff. (Closes: #656009)
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b loop-aes-utils-
    2.16.2 gave error exit status 2": Remove auto-generated patch
    debian-changes-2.16.2-2 and use autotools-dev's helpers for handling
    config.{guess,sub}. (Closes: #643206)
  * Fix "unowned files after purge (policy 6.8, 10.8)":
    debian/loop-aes-utils.postrm: remove /etc/default/checkfs-loop on purge.
    (Closes: #656462)
  * Fix "debian/control uses hardcoded list of non-Linux architectures": use
    "libselinux1-dev [linux-any]". (Closes: #634494)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Feb 2012 17:04:22 +0100

loop-aes-utils (2.16.2-2) unstable; urgency=low

  * Orphaning the package (#614814)
  * Set maintainer to Debian QA Group

 -- Max Vozeler <xam@debian.org>  Wed, 23 Feb 2011 18:02:42 +0100

loop-aes-utils (2.16.2-1) unstable; urgency=low

  * New util-linux upstream release
  * Add loop-aes patch v3.2h
  * Switch to 3.0 (quilt) format
  * debian/rules: Remove dpatch targets
  * debian/control: Drop dpatch from depends
  * debian/patches/series: Add
  * debian/rules: Configure with external libuuid
  * debian/rules: Drop installation of old releasenotes
  * debian/control: Add misc:Depends for debhelper
  * Update to policy 3.8.4 - no changes
  * Add X-Interactive keyword to initscript LSB info (Closes: #538439)

 -- Max Vozeler <xam@debian.org>  Tue, 30 Mar 2010 14:57:51 +0200

loop-aes-utils (2.15.1~rc1-2) unstable; urgency=low

  * Disable ncurses (--without-ncurses), not used in
    mount/. Fixes FTBFS (closes: #535676).

 -- Max Vozeler <xam@debian.org>  Mon, 06 Jul 2009 02:08:18 +0200

loop-aes-utils (2.15.1~rc1-1) unstable; urgency=low

  * New util-linux upstream release
  * patches/20loop-AES:
    - Update to v3.2g
  * patches/losetup_add_option_f.dpatch: 
    - Drop, applied upstream
  * Add set -e to preinst, postrm
  * Update to debhelper level 7
  * Update to poliy 3.8.1:
    - This package violates policy 4.13 (convenience
      copies). There is no way around it right now; I'm
      working on a solution for squeeze.
  * debian/loop-aes-keygen.1:
    - Add description to .NAME

 -- Max Vozeler <xam@debian.org>  Fri, 03 Jul 2009 21:12:36 +0200

loop-aes-utils (2.13.1-4) unstable; urgency=low

  * patches/losetup_add_option_f.dpatch: 
    - Added to support "find next free loop" in losetup.
      (closes: #495682)

 -- Max Vozeler <xam@debian.org>  Fri, 22 Aug 2008 11:57:17 +0200

loop-aes-utils (2.13.1-3) unstable; urgency=low

  * Depend on mount >= 2.13-1 to ensure that its
    upgrade-checks for nfs-common are done. (closes: #470941)

 -- Max Vozeler <xam@debian.org>  Sat, 15 Mar 2008 00:45:45 +0100

loop-aes-utils (2.13.1-2) unstable; urgency=low

  * initramfs/script: 
    - Fix loading of non-AES ciphers
    - Remove message shown if root is not encrypted

 -- Max Vozeler <xam@debian.org>  Fri, 14 Mar 2008 16:17:31 +0100

loop-aes-utils (2.13.1-1) unstable; urgency=low

  * New util-linux upstream release
  * patches/20loop-AES:
    - Update to v3.2c
    - Fixes read from symlinks. (closes: #450784)
  * patches/50_realpath_use_after_free,
    patches/51_CVE-2007-5191,
    patches/52_check_privdrop_return:
    - Drop, applied upstream
  * Standards version 3.7.3 (no changes)

 -- Max Vozeler <xam@debian.org>  Sun, 09 Mar 2008 02:20:09 +0100

loop-aes-utils (2.13-2) unstable; urgency=low

  * Sync with util-linux 2.13-8
  * SECURITY: mount: doesn't drop privileges properly when 
    calling helpers [CVE-2007-5191]
  * Check the return value of set{u,g}id in loop-AES code
  * mount: chain of symlinks to fstab causes use of pointer after free

 -- Max Vozeler <xam@debian.org>  Fri, 19 Oct 2007 23:14:28 +0200

loop-aes-utils (2.13-1) unstable; urgency=low

  * New upstream release 
  * Update loop-AES patch to upstream 2.13

 -- Max Vozeler <xam@debian.org>  Wed, 05 Sep 2007 23:15:31 +0200

loop-aes-utils (2.13~rc3-2) unstable; urgency=low

  * Sync with util-linux 2.13~rc3-8
  * Switch back to libblkid-dev
  * initramfs/hook: Check that included loop module
    really is loop-AES.

 -- Max Vozeler <xam@debian.org>  Sun, 26 Aug 2007 15:23:19 +0200

loop-aes-utils (2.13~rc3-1) unstable; urgency=low

  * New upstream release
  * Sync with util-linux 2.13~rc3-3: All patches in
    debian/patches/* included upstream.
  * Build with libvolume-id, libselinux
  * Update loop-AES patch to v3.2a and rebase against
    util-linux-ng 2.13-rc3 (Closes: #436909)
  * Two passes for deb and udeb, building the udeb 
    without selinux/libvolume-id.
  * Enable initramfs-tools integration

 -- Max Vozeler <xam@debian.org>  Sat, 11 Aug 2007 15:24:42 +0200

loop-aes-utils (2.12r-17) unstable; urgency=low

  * UNRELEASED
  * Update loop-AES patch to v3.1f
    - patches/20loop-AES: Update
    - patches/40pagesize: Drop, included upstream
  * Remove shlib override for libblkid
  * Include initramfs-tools integration for encrypted root, thanks to
    Lionel Elie Mamane <lionel@debian.org> (Closes: #378488)

 -- Max Vozeler <xam@debian.org>  Sun, 22 Apr 2007 19:56:09 +0200

loop-aes-utils (2.12r-16) unstable; urgency=low

  * Sync with util-linux 2.12r-19
    - patches/30nfs4: Update
    - patches/30nfs4-setclientid: Add
    - patches/30nfs4-intr-default: Add
    - patches/30swsusp-resume: Update and enable in 00list
  * Update config.{sub,guess}

 -- Max Vozeler <xam@debian.org>  Sun, 22 Apr 2007 17:40:47 +0200

loop-aes-utils (2.12r-15) unstable; urgency=medium

  * Set maintainer to Debian Loop-AES Team 


=== debian/control ===
Source: loop-aes-utils
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), gettext, libblkid-dev, uuid-dev, libselinux1-dev [linux-any], pkg-config, autotools-dev (>= 20100122.1)
Standards-Version: 3.8.4

Package: loop-aes-utils
Architecture: any
Recommends: sharutils
Depends: ${shlibs:Depends}, ${misc:Depends}, mount (>= 2.13-1), gnupg
Description: Tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands with support for loop-AES
 loopback encryption.
 .
 Purpose of this package is to provide users of loop-AES with
 extended mount support that is not available with the crypto
 patch in the 'mount' package.
 .
 On installation, this package diverts files from the mount
 package and installs versions with loop-AES support in their
 places. The diversions get removed on removal of the package.

Package: mount-aes-udeb
Architecture: any
Section: debian-installer
Priority: extra
XC-Package-Type: udeb
Depends: ${shlibs:Depends}
Description: Mount utils for loop-AES
 loop-AES patched mount, losetup and swapon

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

debbuild = debian/build-deb
udebbuild = debian/build-udeb

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

confopts = \
  --without-ncurses \
  --disable-fsck \
  --disable-libuuid \
  --disable-uuidd \
  --disable-libblkid \
  --disable-agetty \
  --disable-cramfs \
  --disable-switch_root \
  --disable-rename \
  --disable-schedutils \
  --disable-wall

confopts_deb = $(confopts)
confopts_udeb = $(confopts)

ifeq ($(DEB_HOST_ARCH_OS),linux)
  confopts_deb += --with-selinux
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confbuild += --build $(DEB_HOST_GNU_TYPE)
else
  confbuild += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

build: build-deb build-udeb

configure-stamp:
	dh_autotools-dev_updateconfig
	touch $@

$(debbuild)/config.status: configure-stamp
	mkdir -p $(debbuild)
	cd $(debbuild) && \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
	../../configure $(confbuild) $(confopts_deb)

build-deb: build-deb-stamp
build-deb-stamp: $(debbuild)/config.status
	dh_testdir
	$(MAKE) -C $(debbuild)
	touch $@

$(udebbuild)/config.status: configure-stamp
	mkdir -p $(udebbuild)
	cd $(udebbuild) && \
	CFLAGS="$(CFLAGS) -Os" \
	../../configure $(confbuild) $(confopts_udeb)

build-udeb: build-udeb-stamp
build-udeb-stamp: $(udebbuild)/config.status
	dh_testdir
	$(MAKE) -C $(udebbuild)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf $(debbuild) $(udebbuild)
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autotools-dev_restoreconfig
	dh_clean 

DIR = debian/loop-aes-utils
DIR_UDEB = debian/mount-aes-udeb

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -m 4755 -o root $(debbuild)/mount/mount $(DIR)/bin
	install -m 4755 -o root $(debbuild)/mount/umount $(DIR)/bin
	install -m 755 $(debbuild)/mount/losetup $(DIR)/sbin
	install -m 755 $(debbuild)/mount/swapon $(DIR)/sbin
	install -m 755 debian/loop-aes-keygen $(DIR)/usr/bin

	# lintian-override
	install -m 644 debian/lintian-override $(DIR)/usr/share/lintian/overrides/loop-aes-utils

	# udeb
	install -d $(DIR_UDEB)/bin
	install -d $(DIR_UDEB)/sbin
	install -m 755 $(udebbuild)/mount/mount $(DIR_UDEB)/bin/mount-aes
	install -m 755 $(udebbuild)/mount/umount $(DIR_UDEB)/bin/umount-aes
	install -m 755 $(udebbuild)/mount/losetup $(DIR_UDEB)/sbin/losetup-aes
	install -m 755 $(udebbuild)/mount/swapon $(DIR_UDEB)/sbin/swapon-aes
	install -m 755 debian/loop-aes-keygen $(DIR_UDEB)/bin

	# initramsfs-tools integration
	install -m 755 debian/initramfs/script $(DIR)/usr/share/initramfs-tools/scripts/local-top/loopaes
	install -m 755 debian/initramfs/hook $(DIR)/usr/share/initramfs-tools/hooks/loopaes
	install -m 644 debian/initramfs/conf $(DIR)/usr/share/initramfs-tools/conf.d/loopaes

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs debian/README
	dh_installman -A
	dh_installinit --name=checkfs-loop --no-start -- start 28 S .
	dh_link
	dh_strip
	dh_compress
	dh_fixperms --exclude bin/mount --exclude bin/umount
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
